## edb-debugger 1.2.0

=== debian/changelog ===
edb-debugger (1.2.0-2) unstable; urgency=medium

  * debian/control:
      - Updated the Vcs-Git and Vcs-Browser.

 -- Marcio de Souza Oliveira <marciosouza@debian.org>  Wed, 06 May 2020 13:01:37 +0000

edb-debugger (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bumped DH level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Updated the maintainer email.
  * debian/patches:
      - Created the patch fix_cmakelists.txt.patch.
      - Renamed the patch fix_desktop_entry.
      - Removed the patches: fix_makefile and fix_default_plugin_path.
      - Updated the patch fix_spelling.patch.
  * debian/rules:
      - Updated the file.
  * debian/salsa-ci.yml:
      - Updated to allow failure in blhc test.
      - Updated to allow failure in reprotest.
  * debian/tests/control:
      - Created to perform a trivial test.
  * Updated the file edb-debugger.install.

 -- Marcio de Souza Oliveira <marciosouza@debian.org>  Sat, 04 Apr 2020 21:19:24 +0000
