=== debian/control ===
Source: edb-debugger
Section: devel
Priority: optional
Maintainer: Marcio de Souza Oliveira <marciosouza@debian.org>
Build-Depends: debhelper (>= 12),
 cmake,
 libboost-dev,
 libcapstone-dev,
 libgraphviz-dev,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 pkg-config,
 qt5-qmake,
 qtbase5-dev
Standards-Version: 4.5.0
Homepage: https://github.com/eteran/edb-debugger
Vcs-Git: https://salsa.debian.org/debian/edb-debugger.git
Vcs-Browser: https://salsa.debian.org/debian/edb-debugger.git

Package: edb-debugger
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, edb-debugger-plugins
Description: cross platform x86/x86-64 debugger
 edb is a graphical cross platform x86/x86-64 debugger.
 It was inspired by Ollydbg, but aims to function on x86
 and x86-64 as well as multiple OS's. Linux is the only
 officially supported platform at the moment, but FreeBSD,
 OpenBSD, OSX and Windows ports are underway with varying
 degrees of functionality.

Package: edb-debugger-plugins
Section: libs
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: edb plugins
 edb is a graphical cross platform x86/x86-64 debugger.
 It was inspired by Ollydbg, but aims to function on x86
 and x86-64 as well as multiple OS's. Linux is the only
 officially supported platform at the moment, but FreeBSD,
 OpenBSD, OSX and Windows ports are underway with varying
 degrees of functionality.
 .
 This package provides the plugins that used by edb.
