=== debian/changelog ===
edb-debugger (1.3.0-1) unstable; urgency=medium

  [ Marcio de Souza Oliveira ]
  * New upstream version 1.3.0.
  * debian/control:
      - Added the flag Rules-Require-Root.
      - Bumped Standards-Version to 4.5.1.
  * debian/patches:
      - Disabled the patches:
        0004-widgets-QDisassemblyView-include-QPainterPath.patch.
  * debian/rules: comment the DH_VERBOSE.
  * Ran wrap-and-sort.
  * Updated the edb-debugger.install.
  * Using new DH level format. Consequently:
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.

  [ Sophie Brun ]
  * d/watch: download special upstream tarball including qhexview files
  * New upstream version 1.3.0
  * Separate GPL2 and GPL2+ in debian/copyright to remove lintian warnings
  * Fix Vcs-Browser field in debian/control
  * Add a Build-dep libdouble-conversion-dev
  * Make autopkgtest superficial (Closes: #974452)

 -- Marcio de Souza Oliveira <marciosouza@debian.org>  Tue, 26 Jan 2021 15:01:19 +0100

edb-debugger (1.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Apply upstream patch to fix build with Qt 5.15 (Closes: #975146)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 08 Dec 2020 11:41:01 +0100
