=== debian/tests/control ===
Test-Command: xvfb-run edb --version
Depends: xauth, xvfb, @
Restrictions: superficial
